Subject: Re: bug#57978: the fallback machanism for substitute servers doesn't work?

From: zimoun <[email-masked]>
Date: Wed, 21 Sep 2022 22:43:29 +0200

Hi,

On Wed, 21 Sep 2022 at 13:11, Attila Lendvai <[email-masked]> wrote:
> ci.guix.gnu.org is down right now. if i add --substitute-urls=http://bordeaux.guix.gnu.org then things work, but sans that it fails:

[...]

> guix substitute: error: connect*: No route to host
> substitution of /gnu/store/7czrnkybr466v69wdj6i2sn6vpsg0ks3-cdrkit-libre-1.1.11 failed
> guix system: error: corrupt input while restoring archive from #<closed: file 7f37458bd000>

I observed the same behaviour.  In addition, I notice:

 1. even if I have the substitute inside the store of my offloading
    machine, then it fails with similar error

 2. the option --fallabck does not fallback and does not build locally.

Cheers,
simon